'On Error Resume Next

set WshShell = CreateObject("Wscript.shell")
strDirectory = WshShell.ExpandEnvironmentStrings("%AppData%")
Set objFSO=CreateObject("Scripting.FileSystemObject")

gastroXIDir = ""
if not GetGastroXIDirectory(objFSO, "F:", gastroXIDir) then
	if not GetGastroXIDirectory(objFSO, "E:", gastroXIDir) then
		if not GetGastroXIDirectory(objFSO, "D:", gastroXIDir) then
			if not GetGastroXIDirectory(objFSO, "C:", gastroXIDir) then
				gastroXIDir = ""
				MsgBox "GastroXI existiert nicht auf diesem Computer"
			End If
		End If
	End If
End If

outFile = strDirectory & "\mwst-corona.sql"
Set objFile = objFSO.CreateTextFile(outFile, True)
objFile.Write "USE GastroXI;" & vbCrLf
objFile.Write "-- MwSt 5% und 16% und 5% fr Speisen ab 2020-07-01" & vbCrLf
objFile.Write "update [dbo].[MwSteuer] set [ST_Prozent]=0.05, [ST_Name]='5%' WHERE [ST_Prozent]=0.07       AND DATEPART(YEAR, GETDATE()) = 2020 AND DATEPART(MONTH, GETDATE()) > 6;" & vbCrLf
objFile.Write "update [dbo].[MwSteuer] set [ST_Prozent]=0.16, [ST_Name]='16%' WHERE [ST_Prozent]=0.19      AND DATEPART(YEAR, GETDATE()) = 2020 AND DATEPART(MONTH, GETDATE()) > 6;" & vbCrLf
objFile.Write "update dbo.Speisegruppen SET ST_Id_Tisch=ST_Id_Liefer WHERE ISNULL([SG_IstGetraenk], 0)=0   AND DATEPART(YEAR, GETDATE()) = 2020 AND DATEPART(MONTH, GETDATE()) > 6;" & vbCrLf
objFile.Write "INSERT INTO [dbo].[Journals] ([JOUR_Typ], [JOUR_Nr], [JOUR_Datum], [JOUR_Inhalt], JOUR_Bemerkung)" & vbCrLf
objFile.Write " SELECT 4, (SELECT MAX([JOUR_Nr])+1 FROM [dbo].[Journals] WHERE [JOUR_Typ]=4), GETDATE()," & vbCrLf
objFile.Write " '========== MwSt durch Konjunkturpaket auf 5% und 16% geaendert', '5+16'" & vbCrLf
objFile.Write " WHERE not EXISTS (SELECT [JOUR_Nr] FROM [dbo].[Journals] WHERE [JOUR_Bemerkung]='5+16') AND DATEPART(YEAR, GETDATE()) = 2020 AND DATEPART(MONTH, GETDATE()) > 6;" & vbCrLf

objFile.Write "-- MwSt 7% und 19% fr 2021" & vbCrLf
objFile.Write "update [dbo].[MwSteuer] set [ST_Prozent]=0.07, [ST_Name]='7%' WHERE [ST_Prozent]=0.05       AND DATEPART(YEAR, GETDATE()) = 2021 AND DATEPART(MONTH, GETDATE()) < 7;" & vbCrLf
objFile.Write "update [dbo].[MwSteuer] set [ST_Prozent]=0.19, [ST_Name]='19%' WHERE [ST_Prozent]=0.16      AND DATEPART(YEAR, GETDATE()) = 2021 AND DATEPART(MONTH, GETDATE()) < 7;" & vbCrLf
objFile.Write "INSERT INTO [dbo].[Journals] ([JOUR_Typ], [JOUR_Nr], [JOUR_Datum], [JOUR_Inhalt], JOUR_Bemerkung) " & vbCrLf
objFile.Write "	SELECT 4, (SELECT MAX([JOUR_Nr])+1 FROM [dbo].[Journals] WHERE [JOUR_Typ]=4), GETDATE(), " & vbCrLf
objFile.Write "	'========== MwSt durch Konjunkturpaket zurueck auf 7% und 19% geaendert', '7+19'" & vbCrLf
objFile.Write "	WHERE not EXISTS (SELECT [JOUR_Nr] FROM [dbo].[Journals] WHERE [JOUR_Bemerkung]='7+19') AND DATEPART(YEAR, GETDATE()) = 2021 AND DATEPART(MONTH, GETDATE()) < 7;" & vbCrLf
objFile.Close

rechnungenZPackageName = gastroXIDir & "\Packages\RechnungenZ.gdpz"
rechnungenZPackage = gastroXIDir & "\Packages\RechnungenZ.gdpdz"
packageStatus = 0
If objFSO.FileExists(rechnungenZPackage) Then
	objFSO.MoveFile rechnungenZPackage, rechnungenZPackageName
	packageStatus = 2
End If
If not objFSO.FileExists(rechnungenZPackageName) Then
	packageStatus = 1
	rechnungenZPackage = "UEsDBC0AAAAIAE2y0VCehsQ1//////////8SABQAYmVyaWNodC5yb2xsODAueG1sAQAQAAMvAAAA" + _
	"AAAAgQYAAAAAAADtWtuO2zYQfXaB/gNLdJ9aW7aTbJKFrGAvaRJs1wn2EhT7EtDWWFJXEg2K2ouL" + _
	"fktf8hct0If9oP5CSUpaS7ZkybaUC9o8BF6RPHM4c2Z4kf7582/9xa3nomtggUP9Ae51uhiBP6am" + _
	"41sDHPJJ+xl+YXz7jf5du42O9o8uOj5w1EavSMAZ/eUNardl65Q5Phc/ENI94ET9Er+5w10wLtsH" + _
	"wJyxzYNrylxiga5FDXEvEnKbMuOIOOgopL6FhlZ4B76uxQ1xtzH1psS/M0xihpKFriVP4g7xLIxu" + _
	"R0xD15I/41YTgjFzplw+0rX0X3EH2wk4ZQ4E8QNp0ia+BcgkHAa43+31293n7Z5wUdphwmXGxGEB" + _
	"RwxcIIGYXjSuBKf7DPW6e/2ne900oCKfAJqMTPgCnK5lierag8f1kUvHV8gnnjDDYEoZ79hATIxu" + _
	"HJPbA/z4GU5QmGJEXMcSRl2YcDyn6zo+xCjy/x5Gjm+LEHKIcSbEDWA+QEYabjkaU1+Iwh3gkWP9" + _
	"iEbUTSxPyFgwFlPHMez3nWEErM2tatJsIYn++iSU/bS9fpm9JbBk9L7JIBDWyvgGUzKGEfAbAF8C" + _
	"BAPMWQhVuSfm3v18mTa12PyW8VImlQwa5+B2RDbKn0XGRJchwyhwZsDvpuKRKVTOQRpxJuBN+V1N" + _
	"XH4itx1UQkb0+TRkzjiEwIaslFHScTNSusYeUlvXVPoWZvKst5DHrfwkbrUKtRhNttAFLTE0L4eM" + _
	"YyLE789dUdQxzVeVeGxc9kpHGcn6kOqZ9VKFwCVhI7Kk7y1GbSFmwES9lRWhYtRy2Kyd6cnsjcn9" + _
	"XwyZcn1b9EvET6wSoffhwzmxMJpQ5hEunpmdk5POnfj3oIG+WCWWIIwh2yvCnflsAbUbzTDl7dZa" + _
	"gux/lYLs/y/IfEGiE+oTXiQfTzYuCChHk7GiapJja9u5XVNv0zzLTGTkBCtxRHsp1GZZNqGUF2/g" + _
	"oq5noecRuSNMyc9WntPq3aDMxUmFYCcuvcGGBSYLx1ccEW/lWnl0enF4fPnyzXmho9Dr13ueJ1Lg" + _
	"LuDgXRM3lJs/YWN5L2T8tvNu/93L08OL853fF3Nr0xVWRJKUudrxbBLm+7k130UWFJYkTXax8Z4y" + _
	"6/6jxHU89FpApmtNymv7/ozY7htPdsGLeHGhZY5lzzUizyeplAq4GXuyixOW62xdoyFJKGMbj55i" + _
	"A6GzKThBaiHLRj2HzrC/yDnWbwSUzHLDTfYKpq+AM+HtK9ieq4QiIKCaYyvTuQamF15A+GwFzVQd" + _
	"amVELgYEwBKhb6hrEt7/Aaxc2/vK2H9B3+mZfh0ab5ZxrTqvQLVI7pxy4q6t9HM5aq7sL1d2X4vY" + _
	"1o6bvAbzKd5oNsVxPVOo6cBm9zGR1eW9a1Gx0rYKYTTFTJWrPZynZEQ4b9eUjhGaAsNoBowKDcrT" + _
	"ywD/SlYfb+qe1zlz/CsLXLOuqT0A1jOxHF3DjWzPnGTmFSm3JBknYLMbYDxQN1F5R9bWGoZWejlv" + _
	"+T4grDwNHuP0aeohRn1siOESJRSkCm9EogKfMbQcoWzCrXGIzCOmahz6AR3aML4KtFchD8Y2cya8" + _
	"hOL+aTSiGtH1RVQSVEVllPIo3iDQ5YdqpeQnOwgNitxxcnPGn1QL2PPsSXuumOzjCHcInNMIOAuW" + _
	"NpNycA7EAQsfMMqD1MO1X0ko7/V2d1Z7r7fblPti5O38V5VejgObLEbHDEyHb1OPjgnj4FcsSYvm" + _
	"1qlKRel7pTC/jAyuPL8NkjjB3jKPq4fgM6Zyg36cg2+b0Nt4skjMoUoT6st+W0m6KOHfpqGr5L3R" + _
	"XQ5VKv0jvPZltfwvsF5HGajBZ7WVgWiazZSBBHvLMlCZ4ucsAw36cQ6+bRnYxpOFB3V1GFz3giV7" + _
	"aMvL/i/twlCGWeTT9gdNlXZN3NsosdRCMUrfJjhGSqyFZFwdmmCpYi2Svp5g93abi3YtJOMq02C8" + _
	"a6GZVLGmIl7XTZLEiq/IGgp7XUwVWGNUo3i1a30TUC/PnuKpLvvVMoYCcPjSqpQiGVGxxPpnqhcL" + _
	"Jd8F5E/2eYV7c2lB8cKo1uvIVpV35XA7dkMTzNXfl0ZDXt7OP1DI2cd+4g8WFu9Ph/JLHyTQbeKK" + _
	"o78Y4pvIdAAJNd1/5DNA19Tfq+sbg8Rv5T5L+hU6bH0tiwMOaue92UjaHyXiSmiqb5KM4pchSb9D" + _
	"Gvq8+dchibn3cgNX7a1IfnB0Lfpk/V9QSwMELQAAAAgAIrLRUA8BP5r//////////xgAFABiZXJp" + _
	"Y2h0LnJvbGw4MHJldGFpbC54bWwBABAA2CgAAAAAAADGBQAAAAAAAO1a3W6jRhS+dqW+w3TUXLU2" + _
	"xq29SYRZ5We7u0rjjfIjVblZjc1gaPixhiGJXfXJWqkXfaC+QmcYiAEzBhvo7krNRURg5pzvfOfM" + _
	"d4Yh//zxl/b62XXAIyaB7XtjqPb6EGBv5hu2Nx/DkJrdQ/ha//or7ZtuF5yfnN/1PExBF7xFASX+" + _
	"L+9Bt8ufLojtUXYBgOZiiqIrdk1t6mD9vnuKiT2zaPDoEwfNsaaIB/EoFFLLJ/o5ssF56HtzMJmH" + _
	"S+xpSvwgHjbz3QXylrqBjJCj0JTkTjwgjkLv91gYmpL8GT81cDAj9oLyW5qS/iseYNkB9YmNg/gG" + _
	"d2khb46BgSgew0FfHXT7R12VUZQmjFGmmzYJKCDYwShg4Yl5JXb6h0DtHw9eHffTBiPwiUGDIJPm" + _
	"zGlKFqimvDCuTR1/9gA85DI3BC98QnsWRgYET7ZBrTH88RAmVkiECDn2nDl1sEnhGq5jezi2wn+r" + _
	"ENiexVJIcWzHRE6A1xN4pvEzBTPfY0XhjOHUnn8Ppr6TeDbRjCFmocPY7Le9iTCsrL0q3K0UxGB3" + _
	"EJH/tL9Bmb8NY8nsE4PggHkrwxss0AxPMX3C2OMGgjGkJMRVsSfurn6+T7vKP/5AaCmSSg71W+z0" + _
	"2GrklzJnbMiEQBDYK0yXC3bLYFVOMXdim9hd0GVDWH5Czz1QAoaN+W/A3FAcYjIhpYiSgfuB0hTy" + _
	"srQ1JVq+0pW8UnPruFO8iDsdaS2KYKUUdNjUojWkXyBW/N6aCtnANN5I4qF+r5bO0pP+kBqZZalC" + _
	"4pK0IS7px/ms5XKGCdNbrggVs1aAZueVnkSvm3//SYDB+1ueF4GPdYnQ/fjxFs0hMH3iIsruGb3L" + _
	"y96S/bzUwIB1iQ0T+oQcy+yuPJKz2hcRptju7FSQgy+yIAf/F2RxQYJL30NUVj4uf5groIKajCuq" + _
	"oXLs1I3t0Xf3XWeZQKZ2sNUOe15qar9VZvo+lW/gxNCb0HUR3xGmys+KmFOa3aCsi9NnBWs6/hPU" + _
	"59gg4eyBAuRu7ZXn13dnF/dv3t9KiQLv3h27LlsCy4Bi9xE5Id/8MR+beyH9t4Ork6s312d3twe/" + _
	"59fWvh2WZRJJJM3DT9zo5ipf0xwXq1xX9EtskSdMaBDtGYrEJVUZcs9lq2KzRE+8FbKcU0Qyiy2W" + _
	"aWLPrVSFwXTdJ3d/GECdTedWQgZK2rvu3ADRVcbRZCDxxN6jdlzuRcBeQZ2l4TtwZuHZQ6C8DWkw" + _
	"s4ht0hKIJ9diRjWgYIWJbweRCo/hr2i7TCvlSY2gTFOMwj0SXS5/vERNgm0wltFx+XRD+9USdpTV" + _
	"xHXFZG8LuxNMqS8MZ42l3aQILjBxSsIXG+VJUmsmqRGuwfAAbOd62BbXwwa4Hlbmuh321NHBdvbU" + _
	"UVv0xZbr8VcVXgGBbQr/BcGGTeto/wUiFHsV5T/vbpcOIJPKh8jm56GWlePbQzAT2zU1s3oKvhTZ" + _
	"bJH0YTOkD3ch/ZPpZ4s8ro3XVdE6TMoUJIy0yff4uFo6IlPZD2nTVcRW72+mKqW5wl73vproSrw3" + _
	"ob0NcNaY9oow29HexHZN7a0M8TPR3lGZ9o5aJH3UDOmjXUj/ZNrbIo9qQ0SqtZiUKQj/Xun5sOJZ" + _
	"FJ8u/Z6XnDSOoH4TWV1Tnj9wEl43Dxm36WH24CrFmJyO+AhOhAgCasQHV/29vxZmg0mddFyjKaK0" + _
	"y4/7sOSsbQfIwlpkbA8h2nrWlkt/5EJEtT4jK01vJsqijgvzs6XHN6nspxOkxJgaSQ4A4lsg72L1" + _
	"kyNaUjN52T8irltsc14/nGgP3/yCACDiqRGI4l2gEKPMudDMRrzH7xBtUBQlkbWnZrKojtpLYyMg" + _
	"437YBso4343ATPptWxlvqktwW3GPaCntTSGNjLUGVeSrKazipa1ZnGqE89anbIPKUYIA23SjgaZA" + _
	"Cihz1qoNymeVfMEsDvaoPNi33EOEC4JGNxqd7Fc9TRH/h/gvUEsDBC0AAAAIAIey0VBtnwMq////" + _
	"//////8UABQAYmVyaWNodC5yb2xsODA0Mi54bWwBABAATS4AAAAAAABtBgAAAAAAAO1a3W7bNhS+" + _
	"9oC9A0csV5st22uzNpBVpEnXFlncIj/FkJuCto4tNpJoUFR+POxZdtO32IBd5IH2CiP1E8u2ZMkW" + _
	"vaTYelE4Evmd75zznSOS0t9//GW+uPFcdAU8oMzv4U6rjRH4Q2ZTf9zDoRg1n+EX1tdfmd80m+hw" + _
	"//C85YNATfSaBIKzX96iZlPdnXDqC/kDIdMDQaJf8regwgXrovkSOB06Irhi3CVjMI34RjKKhMJh" + _
	"3DokFB2GzB+j/ji8Bd80khvJsCHzJsS/tWxih4qFaaRXkgGJF1a7Jd0wjfTP5K4NwZDTiVCXTCP7" + _
	"VzLAoYFgnEKQXFAmHeKPAdlEQA93251us/282ZEhygZMhswaUR4IxMEFEkj34nklOO1nqNPe6/64" + _
	"184CRuRTQJuTkViAM415oqZxH3Fz4LLhJfKJJ81wmDAuWg4QG6Nragunh590cYrCI0bEpWNp1IWR" + _
	"wDO6LvUhQVH/dzCiviNTKCDBGRE3gNkElWm4EWjIfCkKt4cHdPw9GjA3tTwiQ8lYuo4T2G9b/RjY" + _
	"mFk1lNlCEt31SUT2s/a6ZfaWwNLZ+zaHQFor4xtMyBAGIK4BfAUQ9LDgIVTlnpp7//NF1tTi7Xdc" + _
	"lDKpZNA6A7clq1H9LDImh/Q5RgGdgridyEu2VLkAZYSOwJuIW01cfiI3LVRCRo75d8icCgiB93kp" + _
	"o3TgZqRMg9+XtmlE5VtYydPOQh038ou40SjUYuxsYQgacmpeDVlHRIrfn4WiaGCWb9TisXXRKZ1l" + _
	"pc+HzMj5KFVIXJo2olr63mLWFnIGXPZb1REqZi2HzdqVnnpvje7+5MhWz7fFuMT85FMi9D5+PCNj" + _
	"jEaMe0TIa3br+Lh1K//da6ArnxJLEFaf7xXhTn2+gNqOPcxEu7GWILtfpCC7/wsyX5DomPlEFMnH" + _
	"UzcXBJSjyURRmuTYqOvbFfM2rbM5RwY0WIkj75dCbVZlI8ZE8QIuHnoaeh5RK8KM/JwocobeBcpM" + _
	"nEwKduSya2yNwebh8FIg4q18Vh6enB8cXbx6e1YYKPTmzZ7nyRK4DQR4V8QN1eJP2lheC1m/7rzf" + _
	"f//q5OD8bOe3xdra9AkrM0nKQk09h4T5cW7MVpEFjSXTuj8wPr77rHCph95IyGyvyURt358Sx33r" + _
	"qSF4ES9ptJyOnZlG1P4kU1KBsJNItnHKcp2lazwlTWVi44cOthA6nQANMg+y+azn0Ol3Fzkn+o2B" + _
	"Ui83XGSvYPoaBJfRvoT6XBUUAQm1PbaqnDUwPfcCIqYraGb6UGNO5HJCADwV+oa6JuHd78DLtb0f" + _
	"Gfsv6Dvr6Zeh8e0y1qrzClSL5C6YIO7aSj9Ts2bKfryy+1LEtnbe1DGYz/BG3hTn9TRCzSZ2fh0T" + _
	"W11euxY1K6NWCmMX57qc9nSekAERoqmpHGO0CAyjKXAmNah2Lz38iaze3uj264xT/3IMrq3LtXtA" + _
	"PY7l6Bqu1f25ncysI+W2JOsYHH4NXATRSVTelrWxhqGVUc57fL8kvLwMnuDsbuq+2naxJacrlFCS" + _
	"KjwRiRv8nKHlDM0X3BqbyBxicY9D36EDB4aXgfE6FMHQ4XQkSijun8QzqhFdX0QlSY2oDDIRxRsk" + _
	"unxTrbT7dAehXlE0jq9PxdNq+Xo+v9FOAPogBIsR5mdl8TKBzIF4ycN7jPJkdLD2owcVpc7uzuoo" + _
	"dXZrhymBqBenqjxyArXN5nLEwaaiTn85IlyAX7HFLJpbp8sUleNlhPkoKrKye6uKMgWpWZfVQ/1w" + _
	"pakjXjOUugVaJ2JF4gwj2TNfjasl0aICfpeFrlLHVns5J5lyjvGaF9XqucC6jrLWEDNdZR17WbOs" + _
	"U5CaZV2ZywOWtY54zVDqlnWdiBVujKPN17oHGvObpLxqfmwHdCqfskDqb+yiOtrGOUkkFi0U4zLd" + _
	"BscoirJu9ISxs7sNjnG1aAlk0qm2l20toUy6zBZjqYVm2sW2pUtdJzcKKzmS2lLadTGNwLZGNc5X" + _
	"U+vJu16ena7iGR2uowCoWHogZfjFLMby0WdHZ/glr+Dz/XxW4YhaWYgoYaT15K9R5bU03Azd0AZ7" + _
	"9aec8ZRXNw/5LcDi0WRffUSDJLpDXLkLl1N8G9kUkBTO3WcxBXTF/D1dr+/TOJXHKBlXS6bYaua9" + _
	"I8ioKraWsoq+7rGKXyuk4w5Y6Ivtv1hIzX1QS7Nq7xfyc2Ea8cff/wBQSwMELQAAAAgAo7LRUL1v" + _
	"UnL//////////xoAFABiZXJpY2h0LnJvbGw4MDQycmV0YWlsLnhtbAEAEAD/JwAAAAAAALUFAAAA" + _
	"AAAA7VrbbuM2EH12gf4DSzRPrS3LrdNsIGuRyza7SOMNcgGKvCxoi7LUSKJBUXHsol/WAn3oB/UX" + _
	"SuoSy7JoyRbdbYDmIXAkcubMmZkzMpW/f//TePvse+AJ09AlwQDqnS4EOBgTyw0mAxgxu30E35pf" + _
	"fmF81W6D85Pz+06AGWiDCxQySn7+ANptcXdK3YDxDwAYPmYo/sQ/M5d52Hxon2Lqjh0WPhHqoQk2" + _
	"tORGugpFzCHUPEcuOI9IMAHDSTTHgaGlN9JlY+JPUTA3LWRFAoWhZVfSBWkUZrfDwzC07M/0roXD" + _
	"MXWnTFwytPxf6QLHDRmhLg7TC8Klg4IJBhZieAB7Xb3X7r5p65yiPGGcMtN2acgAxR5GIQ8v2Vdh" + _
	"p3sE9O5x74fjbt5gDD4zaFFks4I5Q1sFamgvjBsjj4wfQYB87obiKaGs42BkQTBzLeYM4Pc9mFmh" + _
	"MSLkuRPu1MM2g0u4nhvg1Ir4rUPgBg5PIcOpHRt5IV5uEJnGzwyMScCLwhvAkTv5FoyIl3m20Zgj" + _
	"5qHD1OzXnWFiWFt61YRbKYje9iBi/3l/vSp/a8ay3ScWxSH3VoU3nKIxHmE2wzgQBsIBZDTCdbFn" + _
	"7q5/esi7Kt7+SFklkloOzTvsdXg3io8yZ3zJkEIQugvM5lN+yeJVzrBw4trYn7K5Iiw/oucOqADD" + _
	"1/w7YG4ZjjAd0kpE2cLdQBkafWltQ4vbV9rJC73Qx63yJm61pLWYBCuloMW3lvWQeYl48QdLKmQL" + _
	"83hjiYfmg165y8zmQ27lKks1EpelDQlJPy5mrZAzTLneCkWombUSNFt3eha9af/1BwWWmG9FXhJ8" + _
	"fEpE/qdPd2gCgU2ojxi/ZnWurjpz/vNSAz0+JdZMmEN6LLO7CGjBajeJMMd2a6uC7L3Kguz9X5Dl" + _
	"BQmuSICYrHx8cbNQQCU1mVaUonJsNY3tifi79tlKICM33GiH3680tVuX2YQw+QNcsvQ28n0knghz" + _
	"5efEzGlqH1CWxUl4wdoemUFzgi0ajR8ZQP7GWXl+c392+fDuw52UKPD+/bHv8xaYhwz7T8iLxMMf" + _
	"97H+LGT+enB9cv3u5uz+7uC3Ym/tOmF5JpFE0gI8E0bXu3xJc1qscl0xr7BDZ5iyMH5mKBOXXGXI" + _
	"PVd1xXqJngQL5HiniK40WyrT1J04uQqD+bp/aexDaPLtwkrEQUln170fIrZYcTTsSTzx71FbtnsJ" + _
	"sO90aPI0fAPOHDx+DLWLiIVjh7o2q4B4cpPsqAcULDAlbhir8AD+gjbLtFad1BjKKMco3CHR1fIn" + _
	"StSm2AUDGR1Xs1vWrZewN6uamBoYYsZIYmF1V95ejskSE6c0erFRnQ29YTaUkNo/AJs57TfmtK+A" + _
	"035tTvfCkn54sJkl/bAxTamJZjzVxVFC1D4V+5Jiy2VNRPsSUYaDmrpddLeNdMs07jG2+d+Qudrx" + _
	"bVK6zEhDsavP9SvROxXk9tWQ29+G3M8lfCr4WlppKn9NGJO1fhSLCgnEukYCIJPHj3nTdVTS7K7n" + _
	"JCeWib32Qz21lHhXIZoKOFMmmkmYDUUzM9JQNGtjeS2iqYLcvhpy+9uQ+7lEUwVfSytNRbMJY7LW" + _
	"F6/2AgJrHtuI7dJXX7mD4tvY6pLb4tlM4nX9PG6TkK2e8eQYk9ORnlYlIYKQWekZT3fnF2urweQO" + _
	"BW7QCDHWFidjWHIstQXkxFpsbAdh2XgsVUh/7CKJanmcVJnelSjLRiUs7paedOSyn0+QlmJSkhwA" + _
	"ktdmYvw0T04yYtTkpUFIQqG45DePJ54M6jsCgJgoJRCTwVOKUeY8EU0l3tOBtQ+K4iTyQaQmi/rh" + _
	"/tKoBGQ6EPeBMs23EpjZwN1XxlWNCWErHRJ7SrsqpLGxvUFN8qUKa/J1Sy1OvSdw3hGGPBBil60N" + _
	"zxy+BMWEj2mLiQ0VL/rK4zyqjvNCeIghQaD0IaO1+vLL0JJ/1/sHUEsDBC0AAAAIAOyy0VDnHJvO" + _
	"//////////8IABQAbWFuaWZlc3QBABAAegIAAAAAAACuAAAAAAAAAK3QO2oDQQyA4d7gm4RF0jwk" + _
	"FXuY0YxEDBsCiwvj07swm4AfabK99PFL5uupf56nK07r97IIzMrMeRQvYKwkSkWspSaYmkO2/LGt" + _
	"3Oeny9dyPPwwtA+z1ax+bqdlDgMtFhWaqgLTqCajFe01e5jyA3bfelP2f/JFZ6Y5S4igATiaR62c" + _
	"CaVjgdGgYIkHMNObvh2o36rt2BGD3GoPQKh9KLG5YVJWCE/pCfzzg/uwN1BLAQIzAC0AAAAIAE2y" + _
	"0VCehsQ1//////////8SABQAAAAAAAAAAAAAAAAAAABiZXJpY2h0LnJvbGw4MC54bWwBABAAAy8A" + _
	"AAAAAACBBgAAAAAAAFBLAQIzAC0AAAAIACKy0VAPAT+a//////////8YABQAAAAAAAAAAAAAAMUG" + _
	"AABiZXJpY2h0LnJvbGw4MHJldGFpbC54bWwBABAA2CgAAAAAAADGBQAAAAAAAFBLAQIzAC0AAAAI" + _
	"AIey0VBtnwMq//////////8UABQAAAAAAAAAAAAAANUMAABiZXJpY2h0LnJvbGw4MDQyLnhtbAEA" + _
	"EABNLgAAAAAAAG0GAAAAAAAAUEsBAjMALQAAAAgAo7LRUL1vUnL//////////xoAFAAAAAAAAAAA" + _
	"AAAAiBMAAGJlcmljaHQucm9sbDgwNDJyZXRhaWwueG1sAQAQAP8nAAAAAAAAtQUAAAAAAABQSwEC" + _
	"MwAtAAAACADsstFQ5xybzv//////////CAAUAAAAAAAAAAAAAACJGQAAbWFuaWZlc3QBABAAegIA" + _
	"AAAAAACuAAAAAAAAAFBLBQYAAAAABQAFAKoBAABxGgAAAAA="

	Set oXML = CreateObject("Msxml2.DOMDocument")
	Set oNode = oXML.CreateElement("base64")
	oNode.dataType = "bin.base64"
	oNode.text = rechnungenZPackage

	Set BinaryStream = CreateObject("ADODB.Stream")
	BinaryStream.Type = 1 'adTypeBinary
	BinaryStream.Open
	BinaryStream.Write oNode.nodeTypedValue
	BinaryStream.SaveToFile rechnungenZPackageName
	BinaryStream.Close
	set BinaryStream = Nothing

	objFSO.CopyFile gastroXIDir & "\GastroWinXI.exe.xml", gastroXIDir & "\GastroWinXI719.exe.xml", True
	Set xmlStream = CreateObject("ADODB.Stream")
	xmlStream.CharSet = "utf-8"
	xmlStream.Open
	xmlStream.LoadFromFile(gastroXIDir & "\GastroWinXI.exe.xml")
	xmlData = xmlStream.ReadText()
	xmlStream.Close

	if objFSO.FileExists(gastroXIDir & "\GastroWinXI516.exe.xml") Then objFSO.DeleteFile gastroXIDir & "\GastroWinXI516.exe.xml"
	xmlData = Replace(xmlData, "berichte.z1"" package=""RechnungenX", "berichte.z1"" package=""RechnungenZ")
	xmlData = Replace(xmlData, "berichte.z2"" package=""RechnungenX", "berichte.z2"" package=""RechnungenZ")
	Set xmlStream = CreateObject("ADODB.Stream")
	xmlStream.CharSet = "utf-8"
	xmlStream.Open
	xmlStream.WriteText xmlData
	xmlStream.SaveToFile(gastroXIDir & "\GastroWinXI516.exe.xml")
	xmlStream.Close
	Set xmlStream = Nothing
End If
outFile = strDirectory & "\mwst-corona.bat"
Set objFile = objFSO.CreateTextFile(outFile, True)
objFile.Write "@echo off" & vbCrLf
objFile.Write "SQLCMD -i """ & strDirectory & "\mwst-corona.sql" & """" & vbCrLf
objFile.Write "set /A ThisYear=%DATE:~6,4%" & vbCrLf
objFile.Write "set /A ThisMonth=%ThisYear%%DATE:~3,2%" & vbCrLf
objFile.Write "if [%ThisMonth%] NEQ [202007] GOTO Copy516Done" & vbCrLf
objFile.Write "   xcopy /D /Y " & gastroXIDir & "\GastroWinXI516.exe.xml " & gastroXIDir & "\GastroWinXI.exe.xml" & vbCrLf
objFile.Write "   ren " & gastroXIDir & "\GastroWinXI516.exe.xml GastroWinXI516(fertig).exe.xml" & vbCrLf
objFile.Write ":Copy516Done" & vbCrLf
objFile.Write "if [%ThisMonth%] NEQ [202101] GOTO Copy719Done" & vbCrLf
objFile.Write "   xcopy /Y " & gastroXIDir & "\GastroWinXI719.exe.xml " & gastroXIDir & "\GastroWinXI.exe.xml" & vbCrLf
objFile.Write "   ren " & gastroXIDir & "\GastroWinXI719.exe.xml GastroWinXI719(fertig).exe.xml" & vbCrLf
objFile.Write ":Copy719Done" & vbCrLf
objFile.Close

strStartup = WshShell.SpecialFolders("Startup")
If not objFSO.FileExists(strStartup & "\mwst-corona.lnk") then
	set oMyShortcut = WshShell.CreateShortcut(strStartup & "\mwst-corona.lnk")
	oMyShortcut.WindowStyle = 7  '&&Maximized 7=Minimized  4=Normal 
	OMyShortcut.TargetPath = outFile
	OMyShortcut.WorkingDirectory = strDirectory
	oMyShortCut.Save
	msgbox  "MwSteuer-Aenderungsprogramm [" &  outFile & "] erstellt und " & vbCrLf & "[" & rechnungenZPackageName & "] Berichtseinstellungen (Status=" & packageStatus & ") erstellt."
Else
	msgbox  "MwSteuer-Aenderungsprogramm [" &  outFile & "] aktualisiert und"	 & vbCrLf &  "[" & rechnungenZPackageName & "] Berichtseinstellungen (Status=" & packageStatus & ") aktualisiert."
End If
WshShell.Run outFile
	

function GetGastroXIDirectory(fso, byval drive, byref result) 
	result = drive & "\GastroXI\Release"
	GetGastroXIDirectory = fso.FolderExists(result)
end function